package com.wms.entity.app.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.wms.entity.table.Role;
import lombok.Data;

@Data
public class RoleOption {
    /**
     * 标签
     */
    @JsonProperty("label")
    private String label;
    /**
     * 值
     */
    @JsonProperty("value")
    private Integer value;

    /**
     * 将角色对象转化为角色选项对象
     * @param role 角色
     * @return 结果
     */
    public static RoleOption of(Role role) {
        RoleOption roleOption = new RoleOption();
        roleOption.setLabel(role.getRoleName());
        roleOption.setValue(role.getRoleId());
        return roleOption;
    }
}
